### Function

# Camel search_get_headers_decoded

since: 3.28

#### Declaration [src]

    gchar*
    camel_search_get_headers_decoded (
      const CamelNameValueArray* headers,
      const gchar* default_charset
    )

#### Description

No description available.

Available since: 3.28

#### Parameters

`headers`

  Type: `CamelNameValueArray`

  A `CamelNameValueArray`.

  The data is owned by the caller of the function.

`default_charset`

  Type: `const gchar*`

  Default charset to use; or `NULL`, to detect from Content-Type of `headers`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The `headers`, decoded where needed. Free the returned pointer with `g_free()` when done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.